Bug 55728 - Upgrade failure if grub is chosen
Upgrade failure if grub is chosen
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-05 13:41 EST by Nevin Kapur
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-19 13:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Traceback of installation failure (77.41 KB, patch)
2001-11-05 13:42 EST, Nevin Kapur
no flags Details | Diff

  None (edit)
Description Nevin Kapur 2001-11-05 13:41:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
Upgrading from 6.2, resulted in failure during the install stage.  The
traceback indicated some problem with grub.  On a subsequent try, I chose
to not install grub and the install went without a hitch.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Upgrade from 6.2.  Choose to install Grub

Actual Results:  Install fails at the point where packages are being
upgraded with a traceback.

Expected Results:  Installation of 7.2!

Additional info:

Attaching annacdump.txt.
Comment 1 Nevin Kapur 2001-11-05 13:42:18 EST
Created attachment 36481 [details]
Traceback of installation failure
Comment 2 Jeremy Katz 2001-11-06 12:26:51 EST
This looks like the grub package didn't get installed properly.  Are there any
errors in /tmp/upgrade.log?
Comment 3 Nevin Kapur 2001-11-06 14:12:19 EST
  This looks like the grub package didn't get installed properly.  Are there any
  errors in /tmp/upgrade.log?

Well, /tmp/ugrade.log contains the log from the successful attempt, which did
not include grub.  It includes grub as a package that was not installed. I don't
think I have anything on the system that would contains debugging information
from the failed attempt, except for the previously attached anacdump.txt.

Comment 4 Jeremy Katz 2001-11-06 14:15:24 EST
But what about the first time from when you had selected grub?  Looking at the
dump, grub did properly get selected to be installed, but it is likely that the
problem was an error in reading the grub package from the install media
Comment 5 Brent Fox 2001-11-19 12:55:30 EST
Any more info here?
Comment 6 Nevin Kapur 2001-11-19 13:17:21 EST
I'm afraid I don't have any more info.  The failed installation prompted me to
send anacdump.txt to bugzilla and that's all I have.

I don't know why there would be a problem with the install media.  We've
upgraded a couple of other machines from the same NFS drive and never faced this
Comment 7 Jeremy Katz 2001-11-26 15:48:42 EST
Without more specific information / reproducible case, there's not much we can
do.  I'll chalk up to media error as this is the first I've seen of this.  Media
errors can be funny about being transient, only showing up on certain machines,
etc unfortunately

Note You need to log in before you can comment on or make changes to this bug.